Установите Matplot Lib Mac – Mavericks – Ошибка в pyplot

Я попытался установить matplotlib несколькими способами, и мне удалось использовать – загрузить через github, сменить каталог в папку и запустить sudo python setup.py install. Но, pyplot не работал, поэтому я удалил, и я пытаюсь использовать pip и запутался в массу ошибок.

Megans-MacBook-Pro:~ MeganRCunninghan$ sudo pip install matplotlib Downloading/unpacking matplotlib Running setup.py egg_info for package matplotlib ============================================================================ Edit setup.cfg to change the build options BUILDING MATPLOTLIB matplotlib: yes [1.4.0] python: yes [2.7.5 (default, Mar 9 2014, 22:15:05) [GCC 4.2.1 Compatible Apple LLVM 5.0 (clang-500.0.68)]] platform: yes [darwin] REQUIRED DEPENDENCIES AND EXTENSIONS numpy: yes [version 1.6.2] six: yes [six was not found.] dateutil: yes [using dateutil version 1.5] tornado: yes [tornado was not found. It is required for the WebAgg backend. pip/easy_install may attempt to install it after matplotlib.] pyparsing: yes [pyparsing was not found. It is required for mathtext support. pip/easy_install may attempt to install it after matplotlib.] pycxx: yes [Couldn't import. Using local copy.] libagg: yes [pkg-config information for 'libagg' could not be found. Using local copy.] Traceback (most recent call last): File "<string>", line 16, in <module> File "/tmp/pip-build/matplotlib/setup.py", line 154, in <module> result = package.check() File "setupext.py", line 940, in check if 'No such file or directory\ngrep:' in version: TypeError: argument of type 'NoneType' is not iterable Complete output from command python setup.py egg_info: ============================================================================ Edit setup.cfg to change the build options BUILDING MATPLOTLIB matplotlib: yes [1.4.0] python: yes [2.7.5 (default, Mar 9 2014, 22:15:05) [GCC 4.2.1 Compatible Apple LLVM 5.0 (clang-500.0.68)]] platform: yes [darwin] REQUIRED DEPENDENCIES AND EXTENSIONS numpy: yes [version 1.6.2] six: yes [six was not found.] dateutil: yes [using dateutil version 1.5] tornado: yes [tornado was not found. It is required for the WebAgg backend. pip/easy_install may attempt to install it after matplotlib.] pyparsing: yes [pyparsing was not found. It is required for mathtext support. pip/easy_install may attempt to install it after matplotlib.] pycxx: yes [Couldn't import. Using local copy.] libagg: yes [pkg-config information for 'libagg' could not be found. Using local copy.] Traceback (most recent call last): File "<string>", line 16, in <module> File "/tmp/pip-build/matplotlib/setup.py", line 154, in <module> result = package.check() File "setupext.py", line 940, in check if 'No such file or directory\ngrep:' in version: TypeError: argument of type 'NoneType' is not iterable ---------------------------------------- Command python setup.py egg_info failed with error code 1 in /tmp/pip-build/matplotlib Storing complete log in /Users/MeganRCunninghan/Library/Logs/pip.log 

когда я иду на питон, и я печатаю

 >>import matplot lib 

он работает, но когда я хочу matplotlib.pyplot, я получаю сообщение об ошибке:

 >>> import matplotlib.pyplot as plt Traceback (most recent call last): File "<pyshell#3>", line 1, in <module> import matplotlib.pyplot as plt File "/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/site-packages/matplotlib/pyplot.py", line 26, in <module> from matplotlib.figure import Figure, figaspect File "/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/site-packages/matplotlib/figure.py", line 24, in <module> import matplotlib.artist as martist File "/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/site-packages/matplotlib/artist.py", line 7, in <module> from transforms import Bbox, IdentityTransform, TransformedBbox, \ File "/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/site-packages/matplotlib/transforms.py", line 35, in <module> from matplotlib._path import (affine_transform, count_bboxes_overlapping_bbox, ImportError: dlopen(/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/site-packages/matplotlib/_path.so, 2): no suitable image found. Did find: /Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/site-packages/matplotlib/_path.so: no matching architecture in universal wrapper 

2 Solutions collect form web for “Установите Matplot Lib Mac – Mavericks – Ошибка в pyplot”

Я настоятельно рекомендую установить Anaconda . Он решает множество проблем, возникающих при установке научных модулей.

Поэтому я исправил проблему: удалил matplotlib вручную, установив каталог в python:

 >>> import matplotlib >>> matplotlib.__file__ 

Затем я подошел к своему поиску и нашел папку с помощью CMD + Shift + G и вставил указанное местоположение файла. Выбрал файл matplotlib и удалил. Пошел в строку cmd и напечатал

 sudo pip install matplotlib 

Теперь это работает. Кроме того, перед запуском pip я установил xcode и исправил зависание между clang и lipo, используя следующие инструкции: Install xcode, go to termina –

  xcode-select --install 

Установите средства командной строки по адресу: https://developer.apple.com/downloads/index.action?=command%20line%20tools#

Перейти в терминал:

 sudo mv /usr/bin/lipo /usr/bin/lipo.orig sudo ln -s /Library/Developer/CommandLineTools/usr/bin/lipo /usr/bin 

Установите Pip, если у вас его нет:

 sudo su easy_install pip 
  • Запись списка списков Python в файл csv
  • Создание цикла для двух дат
  • Как укоротить (разрешить) URL-адрес, используя python, когда конечный URL-адрес - https?
  • Как использовать botocore.response.StreamingBody как stdin PIPE
  • как открыть хром в режиме инкогнито от Python
  • Проблема с использованием iloc в pandas dataframe с иерархическим индексом
  • Автоматическая загрузка модуля при запуске IPython
  • BeautifulSoup: очистка различных наборов данных с одинаковым набором атрибутов в исходном коде
  • Python - лучший язык программирования в мире.